Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge -u world not finding all out of date packages[SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
dfelicia
Apprentice
Apprentice


Joined: 11 May 2005
Posts: 281
Location: Southwestern Connecticut

PostPosted: Fri Aug 11, 2006 1:20 pm    Post subject: emerge -u world not finding all out of date packages[SOLVED] Reply with quote

Code:

rtfm ~ # emerge --search crossover-office-pro-bin
Searching...   
[ Results for search key : crossover-office-pro-bin ]
[ Applications found : 1 ]
 
*  app-emulation/crossover-office-pro-bin
      Latest version available: 5.0.3
      Latest version installed: 5.0.1
      Size of files: 16,893 kB
      Homepage:      http://www.codeweavers.com/site/products/cxoffice/
      Description:   specialized version of wine for MS Office
      License:       CROSSOVER


Code:

rtfm ~ # emerge --search mozilla-thunderbird
Searching...   
[ Results for search key : mozilla-thunderbird ]
[ Applications found : 2 ]
 
*  mail-client/mozilla-thunderbird
      Latest version available: 1.5.0.5
      Latest version installed: 1.0.7
      Size of files: 35,185 kB
      Homepage:      http://www.mozilla.org/projects/thunderbird/
      Description:   Thunderbird Mail Client
      License:       MPL-1.1 NPL-1.1


Code:

rtfm ~ # emerge -pvu world

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild     U ] sys-apps/man-pages-2.38 [2.34] USE="nls" 1,764 kB
[ebuild     U ] sys-apps/gawk-3.1.5-r2 [3.1.5-r1] USE="nls -build" 0 kB
[ebuild     U ] sys-libs/com_err-1.39 [1.38] USE="nls" 3,608 kB
[ebuild     U ] sys-libs/ss-1.39 [1.38] USE="nls" 0 kB
[ebuild     U ] sys-fs/e2fsprogs-1.39 [1.38-r1] USE="nls -static" 0 kB
[ebuild     U ] media-video/gxine-0.5.7 [0.4.5] USE="nls nsplugin -lirc -xinerama%" 942 kB
[ebuild     U ] sys-apps/findutils-4.3.0 [4.1.20-r2] USE="nls -build -static" 1,102 kB
[ebuild     U ] x11-terms/xterm-216 [215-r1] USE="truetype unicode -Xaw3d -paste64 -toolbar" 778 kB


Last edited by dfelicia on Fri Aug 11, 2006 4:24 pm; edited 1 time in total
Back to top
View user's profile Send private message
Aysen
Apprentice
Apprentice


Joined: 18 May 2005
Posts: 187
Location: Poland

PostPosted: Fri Aug 11, 2006 1:29 pm    Post subject: Reply with quote

A blind shot: try adding a --deep switch to the emerge world.
Back to top
View user's profile Send private message
Sedrik
l33t
l33t


Joined: 08 Apr 2005
Posts: 638
Location: Uppsala, Sweden

PostPosted: Fri Aug 11, 2006 1:39 pm    Post subject: Reply with quote

--update will only update the programs listed in world, dependency's will be updated if there is a need for a higher version of the dependency.

As mentioned, --deep will take care of it (-D)
_________________
From Gentoo with love
Back to top
View user's profile Send private message
dfelicia
Apprentice
Apprentice


Joined: 11 May 2005
Posts: 281
Location: Southwestern Connecticut

PostPosted: Fri Aug 11, 2006 1:51 pm    Post subject: Reply with quote

nope :(

Is it possible my world file is somehow out of sync?
Back to top
View user's profile Send private message
Sedrik
l33t
l33t


Joined: 08 Apr 2005
Posts: 638
Location: Uppsala, Sweden

PostPosted: Fri Aug 11, 2006 1:53 pm    Post subject: Reply with quote

dfelicia wrote:
nope :(

Is it possible my world file is somehow out of sync?


It seems so, does updating the packages register them in the world file?
_________________
From Gentoo with love
Back to top
View user's profile Send private message
Aysen
Apprentice
Apprentice


Joined: 18 May 2005
Posts: 187
Location: Poland

PostPosted: Fri Aug 11, 2006 1:58 pm    Post subject: Reply with quote

And does
Code:
emerge -upv mozilla-thunderbird
work?
Back to top
View user's profile Send private message
dfelicia
Apprentice
Apprentice


Joined: 11 May 2005
Posts: 281
Location: Southwestern Connecticut

PostPosted: Fri Aug 11, 2006 2:25 pm    Post subject: Reply with quote

Yep. It just finished. I'm about to do the same for cossover-office-pro-bin, but am left wondering how many stale packages are lurking...
Back to top
View user's profile Send private message
sfragis
Tux's lil' helper
Tux's lil' helper


Joined: 24 Mar 2005
Posts: 95
Location: RE < IT < Europe

PostPosted: Fri Aug 11, 2006 2:39 pm    Post subject: Reply with quote

Something similar happened to me just today with the media-plugins/live library, app-admin/sudo and sys-devel/bc: I had to run emerge -uv with them all.
Maybe I did misuse of emerge --oneshot?!?! Is there a way to look for all --oneshot emerged packages?

Edit: typo
_________________
Regards
Fabio Strozzi


Last edited by sfragis on Fri Aug 11, 2006 3:05 pm; edited 1 time in total
Back to top
View user's profile Send private message
Aysen
Apprentice
Apprentice


Joined: 18 May 2005
Posts: 187
Location: Poland

PostPosted: Fri Aug 11, 2006 2:48 pm    Post subject: Reply with quote

This is indeed strange. And what about Sedrik's question? Also, are you sure you don't have any config files in /etc pending for an etc-update (not sure if this can be a problem in this case, but let's try everything)? Do you get any error or warning messages when using emerge? If you suspect that your world file is corrupt, try running regenworld.
Back to top
View user's profile Send private message
dfelicia
Apprentice
Apprentice


Joined: 11 May 2005
Posts: 281
Location: Southwestern Connecticut

PostPosted: Fri Aug 11, 2006 2:53 pm    Post subject: Reply with quote

I believe that upgrading does record the package in world:

Code:

dfelicia@rtfm ~ $ emerge --search mozilla-thunderbird
Searching...   
[ Results for search key : mozilla-thunderbird ]
[ Applications found : 2 ]
 
*  mail-client/mozilla-thunderbird
      Latest version available: 1.5.0.5
      Latest version installed: 1.5.0.5
      Size of files: 35,185 kB
      Homepage:      http://www.mozilla.org/projects/thunderbird/
      Description:   Thunderbird Mail Client
      License:       MPL-1.1 NPL-1.1


emerge operates fine. No pending etc-updates. I wonder if sfragis is on to something with --one-shot... mayeb revdep-rebuild broke something for me?

Anyway, I'm 1/2 through an emerge -Du world. When it's done, perhaps I'll try regenworld (after reading the man page - I've thus far been blissfully unaware of that command).
Back to top
View user's profile Send private message
sfragis
Tux's lil' helper
Tux's lil' helper


Joined: 24 Mar 2005
Posts: 95
Location: RE < IT < Europe

PostPosted: Fri Aug 11, 2006 3:01 pm    Post subject: Reply with quote

I run "eix -I -T -t" and saw that few other packages were not being updated (distcc, libtheora, sash...).
Sedrik wrote:
It seems so, does updating the packages register them in the world file?

As to this question: I am about to emerge distcc, libtheora and so on, and I've just emerged bc, sudo and live.
I can state that distcc, libtheora and the others are not in the world file (which is /var/lib/portage/world, isn't it?) whereas sudo, bc and live are! Yes, maybe "emerge -u" fixes the problem.

EDIT: I've no /etc config pending.
_________________
Regards
Fabio Strozzi
Back to top
View user's profile Send private message
dfelicia
Apprentice
Apprentice


Joined: 11 May 2005
Posts: 281
Location: Southwestern Connecticut

PostPosted: Fri Aug 11, 2006 4:23 pm    Post subject: Reply with quote

regenworld fixed my issue (and boy do I have a lot of stale pkgs). Thanks to all!
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Fri Aug 11, 2006 7:42 pm    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, please see this FAQ: GF16: Corrupt or empty world file, what do I do?
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum